#!/bin/bash

NROWS=$1
RUNS=$2
VALUES=$3

dropdb --if-exists test
createdb test

./brin-test-random100-uuid.sh      $NROWS $RUNS $VALUES > random100-uuid.log 2>&1 &
./brin-test-random100-text.sh      $NROWS $RUNS $VALUES > random100-text.log 2>&1 &
./brin-test-random100.sh           $NROWS $RUNS $VALUES > random100.log 2>&1 &
./brin-test-random10k-uuid.sh      $NROWS $RUNS $VALUES > random10k-uuid.log 2>&1 &
./brin-test-random10k-text.sh      $NROWS $RUNS $VALUES > random10k-text.log 2>&1 &
./brin-test-random10k.sh           $NROWS $RUNS $VALUES > random10k.log 2>&1 &
./brin-test-random1k-uuid.sh       $NROWS $RUNS $VALUES > random1k-uuid.log 2>&1 &
./brin-test-random1k-text.sh       $NROWS $RUNS $VALUES > random1k-text.log 2>&1 &
./brin-test-random1k.sh            $NROWS $RUNS $VALUES > random1k.log 2>&1 &
./brin-test-sequential-desc.sh     $NROWS $RUNS $VALUES > sequential-desc.log 2>&1 &
./brin-test-sequential.sh          $NROWS $RUNS $VALUES > sequential.log 2>&1 &
./brin-test-sequential100-desc.sh  $NROWS $RUNS $VALUES > sequential100-desc.log 2>&1 &
./brin-test-sequential100.sh       $NROWS $RUNS $VALUES > sequential100.log 2>&1 &
./brin-test-sequential10k-desc.sh  $NROWS $RUNS $VALUES > sequential10k-desc.log 2>&1 &
./brin-test-sequential10k.sh       $NROWS $RUNS $VALUES > sequential10k.log 2>&1 &
./brin-test-sequential1k-desc.sh   $NROWS $RUNS $VALUES > sequential1k-desc.log 2>&1 &
./brin-test-sequential1k.sh        $NROWS $RUNS $VALUES > sequential1k.log 2>&1 &

wait

grep TOTAL *.log
